{% extends "base_device.yaml.jinja2" %}

{% block device_setup %}
device_type: synquacer
job_name: {{ lava_job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

context:
  lava_test_results_dir: /var/lib/lava-%s

actions:

- deploy:
    to: downloads
    failure_retry: 3
    timeout:
      minutes: 60
    images:
      os:
        url: {{ os_url }}
        {%- set os_path, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
      {%- if testexport_url %}
      testexport:
        url: {{ testexport_url }}
      {%- endif %}

    postprocess:
      docker:
        image: debian
        steps:
          {%- set os_basename = basename(os_path) %}
          # This will split the OS into two smaller images: xaa and xab
          - 'split -b 1620M {{ os_basename }}'
          - 'ls'

- deploy:
    to: tftp
    failure_retry: 3
    kernel:
        url: downloads://xaa
    dtb:
        url: downloads://xab

- boot:
    method: u-boot
    timeout:
      minutes: 45
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
    commands:
      - setenv autoload no && dhcp
      - setenv serverip {SERVER_IP}
      - scsi rescan && scsi dev 0 && scsi info
      - tftp 0x90000000 {KERNEL}
      - scsi write 0x90000000 0 32a000
      - tftp 0x90000000 {DTB}
      - scsi write 0x90000000 32a000 32a000
      - echo "Starting kernel"; run bootcmd
    transfer_overlay:
      download_command: wget -t 20 --waitretry 20 --retry-connrefused --retry-on-host-error --retry-on-http-error=401,403
      unpack_command: tar -C /var/lib/ -xzvf
{% endblock %}
